import { AvatarAction } from "./AvatarAction";
import { IActionDefinition, IAvatarPartSets } from "../../../interfaces/Avatar.interface";
export declare class AvatarActionManager {
    private _defaultAction;
    private _avatarActionsLib;
    private _avatarPartSetsLib;
    constructor(_defaultAction: AvatarAction);
    filterActions(actions: AvatarAction[], partType: string): AvatarAction[];
    sortActions(actions: AvatarAction[]): AvatarAction[];
    getActionDefinition(action: AvatarAction): IActionDefinition;
    get defaultAction(): AvatarAction;
    get definitions(): IActionDefinition[];
    get partSets(): IAvatarPartSets;
}
